Liberty Updates

* indicates required